/*
 * Common keypad server functionality.
 *
 * Copyright (C) 2023 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

/* Common server functionality. */

#include "keypad-server.h"

/* Server infrastructure. */

#include <ipc/server.h>
#include "keypad_server.h"

#include "keypad-run.h"



/* Main program. */

long run(l4re_ds_t mem)
{
  /* Initialise and register a server object. */

  Keypad_server obj(mem);

  /* Bind and start the IPC server loop. */

  if (ipc_server_loop_for(Keypad, &obj, "keypad"))
    return 1;

  return 0;
}
