/*
 * Common declarations for chip-specific definitions.
 *
 * Copyright (C) 2023, 2024 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include "common.h"



/* Memory regions. */

extern const char *io_memory_regions[];



/* AIC definitions. */

extern void *aic_channels[];

extern const unsigned int num_aic_channels;

extern l4_cap_idx_t aic_irqs[];



/* CPM definitions. */

extern struct clock_info clocks[];



/* DMA definitions. */

extern void *dma_channels[];

extern const unsigned int num_dma_channels;

extern struct dma_region dma_regions[];

extern const unsigned int num_dma_regions;

extern l4_cap_idx_t dma_irq;



/* GPIO definitions. */

extern const unsigned int num_gpio_ports;

extern struct gpio_port gpio_ports[];

extern const char gpio_port_labels[];



/* I2C definitions. */

extern void *i2c_channels[];

extern const unsigned int num_i2c_channels;

extern l4_cap_idx_t i2c_irqs[];



/* MSC definitions. */

extern void *msc_channels[];

extern const unsigned int num_msc_channels;

extern l4_cap_idx_t msc_irqs[];



/* SPI definitions. */

extern void *spi_channels[];

extern const unsigned int num_spi_channels;



/* TCU definitions. */

extern void *tcu_channels[];

extern const unsigned int num_tcu_channels;

extern l4_cap_idx_t tcu_irq;
